## org.apache.fop.pdf
Class PDFResources

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFResources

public class PDFResources
extends PDFObject

class representing a /Resources object. /Resources object contain a list of references to the fonts for the document

Field Summary
`protected java.util.Hashtable` `fonts` /Font objects keyed by their internal name
`protected java.util.Vector` `patterns`
`protected java.util.Vector` `shadings`
`protected java.util.Vector` `xObjects`

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFResources(int number)` create a /Resources object.

Method Summary
`void` `addFont(PDFFont font)` add font object to resources list.
`void` `addPattern(PDFPattern thePattern)`
`void` `addShading(PDFShading theShading)`
`void` `setXObjects(java.util.Vector xObjects)`
`byte[]` `toPDF()` represent the object in PDF

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, output, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fonts

    protected java.util.Hashtable fonts

  /Font objects keyed by their internal name

### xObjects

    protected java.util.Vector xObjects

### patterns

    protected java.util.Vector patterns

### shadings

    protected java.util.Vector shadings

Constructor Detail

### PDFResources

    public PDFResources(int number)

  create a /Resources object.
  Parameters:
    `number` - the object's number

Method Detail

### addFont

    public void addFont(PDFFont font)

  add font object to resources list.
  Parameters:
    `font` - the PDFFont to add

### addShading

    public void addShading(PDFShading theShading)

### addPattern

    public void addPattern(PDFPattern thePattern)

### setXObjects

    public void setXObjects(java.util.Vector xObjects)

### toPDF

    public byte[] toPDF()

  represent the object in PDF
  Returns:
    the PDF

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.